"use client";
import React from "react";
import ProductFilter from "../components/products/product-filter";
import PageHeader from "../components/page-header";
import SortFilterBar from "../components/products/filter-bar";
import ProductCard from "../components/products/Product-card";

import { useState } from "react";
export default function Products() {
  const [view, setView] = useState("grid"); // Lifted state
  const [sort, setSort] = useState("Featured"); // Sorting state
  const totalItems = 29; // Mock data (update dynamically if needed)

  return (
    <div>
      <PageHeader title="Shop" breadcrumb="Home - Shop" />

      <div className="flex mx-2 lg:mx-auto max-w-7xl mt-6 gap-4">
        <div class="md:block hidden">
          <ProductFilter />
        </div>
        <div className="w-full">
          {/* Pass the state down to SortFilterBar */}
          <SortFilterBar
            view={view}
            setView={setView}
            sort={sort}
            setSort={setSort}
            totalItems={totalItems}
          />

          {/* Products Container */}
          <div
            className={`my-4 gap-4 ${
              view === "grid"
                ? "grid grid-cols-2 lg:grid-cols-3"
                : "flex flex-col"
            }`}
          >
            <ProductCard view={view} />
            <ProductCard view={view} />
            <ProductCard view={view} />
            <ProductCard view={view} />
          </div>
        </div>
      </div>
    </div>
  );
}
